   // Fig. 8.2: TimeTest1.java
   // Class TimeTest1 to exercise class Time1
   
   // Java extension packages
   import javax.swing.JOptionPane;
   
   public class TimeTest1 {
   
      // create Time1 object and manipulate it
      public static void main( String args[] )
      {
         Time1 time = new Time1();  // calls Time1 constructor
   
         // append String version of time to String output
         String output = "The initial universal time is: " +
            time.toUniversalString() + 
            "\nThe initial standard time is: " +  time.toString() +
            "\nImplicit toString() call: " + time;
   
         // change time and append String version of time to output
         time.setTime( 13, 27, 6 ); 
         output += "\n\nUniversal time after setTime is: " + 
            time.toUniversalString() +
            "\nStandard time after setTime is: " + time.toString();
   
         // use invalid values to change time and append String 
         // version of time to output
         time.setTime( 99, 99, 99 ); 
         output += "\n\nAfter attempting invalid settings: " + 
            "\nUniversal time: " + time.toUniversalString() +
            "\nStandard time: " + time.toString();
   
         JOptionPane.showMessageDialog( null, output,
            "Testing Class Time1",
            JOptionPane.INFORMATION_MESSAGE );
   
         System.exit( 0 );
      }
   
   }  // end class TimeTest1
